Bug 891450 - dblatex is missing dependencies for F18 texlive update
Summary: dblatex is missing dependencies for F18 texlive update
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dblatex
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alex Lancaster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 891449 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-03 00:18 UTC by Benjamin Kosnik
Modified: 2013-08-09 05:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-20 03:10:37 UTC


Attachments (Terms of Use)

Description Benjamin Kosnik 2013-01-03 00:18:27 UTC
Description of problem:

Errors in PDF generation.

Version-Release number of selected component (if applicable):



How reproducible:

I can reproduce this on F18, by building the gcc/libstdc++ documentation, configure and then "make pdf"

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Adding these deps to the .spec file will solve the issue:

BuildRequires:  libxslt 
BuildRequires:  ImageMagick 
BuildRequires:  texlive-collection-latex
BuildRequires:  texlive-collection-xetex
BuildRequires:  texlive-collection-htmlxml
Requires:       texlive-base
Requires:       texlive-collection-xetex
Requires:       texlive-collection-fontsrecommended
Requires:	texlive-passivetex 
Requires:	texlive-xmltex texlive-xmltex-bin
Requires:	texlive-anysize
Requires:	texlive-ec
Requires:	texlive-pdfpages
Requires:	texlive-subfigure
Requires:	texlive-appendix
Requires:	texlive-changebar
Requires:	texlive-bibtopic
Requires:	texlive-overpic
Requires:	texlive-jknapltx
Requires:	libxslt docbook-dtds 
Requires:	transfig
Requires:	ImageMagick 
Requires: 	texlive-passivetex
Requires: 	texlive-xmltex-bin

Comment 1 Benjamin Kosnik 2013-01-03 19:32:55 UTC
*** Bug 891449 has been marked as a duplicate of this bug. ***

Comment 2 Benjamin Kosnik 2013-01-07 18:23:21 UTC
Because F18 trunk dblatex has incorrect dependencies on passivetex 2007, it fails to install due to conflicts.

Comment 3 Fedora Update System 2013-01-09 22:14:00 UTC
dblatex-0.3.4-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dblatex-0.3.4-4.fc18

Comment 4 Fedora Update System 2013-01-10 21:32:39 UTC
Package dblatex-0.3.4-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dblatex-0.3.4-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0597/dblatex-0.3.4-4.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-01-20 03:10:38 UTC
dblatex-0.3.4-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.